#!/bin/sh

# -------------------------------------------------------------------------|
# Setting global variables                                                 |
# -------------------------------------------------------------------------|
cur_dir=$(cd -P -- "$(dirname -- "$0")" && pwd -P)

log_timestamp=$(date +%Y%m%d-%H%M)

if [ "$1" == "-p" ]
then
    password_opt=$1
    password=$2
    user_opt=$3
    username=$4
else
    user_opt=$1
    username=$2
    password_opt=$3
    password=$4
fi

chmod 755 $cur_dir/run.sh

echo "$cur_dir/../apar.PO05958.$log_timestamp.log"

echo "..."

$cur_dir/run.sh "$user_opt" "$username" "$password_opt" "$password" | tee -a $cur_dir/../logs/apar.PO05958.$log_timestamp.log 2>&1